wxRuby Documentation Home

# Wx::TipWindow

Shows simple text in a popup tip window on creation. This is used by
SimpleHelpProvider to show popup help. The
window automatically destroys itself when the user clicks on it or it loses the
focus. It can also be set to destroy itself automatically when the mouse
moves outside of a defined bounding rectangle.

You may also use this class to emulate the tooltips when you need finer
control over them than provided by the standard tooltips.

## Derived from

Window

EvtHandler

Object

## Methods

- TipWindow.new
- TipWindow#set_bounding_rect

### TipWindow.new

TipWindow.new(%(arg-type)Window% parent, String text, Integer maxLength = 100)

Constructor. The tip is shown immediately the window is constructed.

#### Parameters

- parent The parent window, must be non `NULL`
- text The text to show, may contain the new line characters
- maxLength The length of line, in pixels; set very high to avoid wrapping

### TipWindow#set_bounding_rect

set_bounding_rect(%(arg-type)Rect% rectBound)

By default, the tip window disappears when the user clicks the mouse or presses
a keyboard key or if it loses focus in any other way – for example because the
user switched to another application window.

Additionally, if a non empty rectBound is provided, the tip window will
also automatically close if the mouse leaves this area. This is useful to
dismiss the tip mouse when the mouse leaves the object it is associated with.

#### Parameters

- rectBound The bounding rectangle for the mouse in the screen coordinates

[This page automatically generated from the Textile source at 2023-06-09 00:45:37 +0000]